body.single-listings div#banner_bar {
    border-top: 1px solid var(--accent);
    border-bottom: 1px solid var(--accent);
}

body.single-listings div#banner_bar span.listing_price {
    font-size: 15px;
}

body.single-listings div#banner_bar .listing_actions button.primary-button {
    background-color: var(--primary);
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    color: var(--white);
    display: inline-flex;
    font-weight: 400;
    padding: .4em 2em;
    text-transform: uppercase;
    border: none;
}

body.single-listings div#banner_bar .listing_actions button.primary-button:hover {
    background-color: var(--accent);
}

body.single-listings div#banner_bar .listing_sub_info>span {
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

body.single-listings div#banner_bar .listing_sub_info>span svg {
    width: 25px;
    height: auto;
}

body.single-listings div#banner_bar .listing_sub_info {
    gap: 1.25rem;
}

body.single-listings div#banner_bar .listing_address {
    font-size: var(--text-m)!important;
    margin-bottom: 0.5rem;
}

body.single-listings div#banner_bar .listing_actions {
    justify-content: space-between;
}

body.single-listings div#banner_bar .banner_toggles {
    border-bottom: none!important;
    z-index: 2;
}

@media(max-width: 1198px) {
    body.single-listings div#banner_bar .listing_actions {
        justify-content: center;
    }
}

body.single-listings div#banner_bar .listing_actions .banner_toggles button.button {
    background: var(--primary);
    border: 1px solid var(--primary);
    font-size: 12px;
}
 
body.single-listings div#banner_bar .listing_actions .banner_toggles button.button:hover,
body.single-listings div#banner_bar .listing_actions .banner_toggles button.button:focus,
body.single-listings div#banner_bar .listing_actions .banner_toggles button.button.active {
    background: var(--accent);
    border: 1px solid var(--primary);
    color: var(--primary);
}

body.single-listings div#banner_bar .listing_actions .banner_toggles button.button svg {
    width: 15px;
    height: 15px;
}

body.single-listings div#banner_bar {
    padding: 1rem var(--space);
    background: var(--primary);
    color: var(--accent);
}

body.single-listings div#banner_bar #inquire_btn {
    background: var(--white);
    color: var(--primary);
    font-family: muli;
    font-weight: 600;
    min-width: 0;
    text-align: center;
    text-transform: uppercase;
    border: 1px solid var(--white);
    border-radius: 0px;
    padding: 0.5em 1.75em;
    transition: unset;
}

body.single-listings div#banner_bar #inquire_btn:is(:hover,:focus) {
    background-color: var(--primary);
    color: var(--white);
}

.listing_price_mls_container {
    display: flex;
    gap: 0.75rem;
}

body.single-listings div#banner_bar {
   display: block
}

body.single-listings div#banner_bar .listing_info_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    column-gap: 1rem;
}

body.single-listings div#banner_bar .listing_sub_info_container {
    display: flex;
    column-gap: var(--space);
    row-gap: 1.5rem;
}

body.single-listings div#banner_bar .listing_actions {
    margin-left: 0;
}

@media (max-width: 1198px) {
    body.single-listings div#banner_bar {
        text-align: left;
    }

    body.single-listings div#banner_bar .listing_info {
        margin-bottom: 1rem;
    }

    body.single-listings div#banner_bar .banner_toggles,
    body.single-listings div#banner_bar .listing_actions {
        margin: unset;
        flex-wrap: unset;
        align-items: center;
        justify-content: unset;
    }
}

@media (max-width: 768px) {
    body.single-listings div#banner_bar .listing_info_container {
        flex-direction: column;
        justify-content: center;
    }

    body.single-listings div#banner_bar {
        text-align: center;
    }

    body.single-listings div#banner_bar .listing_price_mls_container {
        justify-content: center;
        text-align: center;
    }

    body.single-listings div#banner_bar .listing_info {
        margin-bottom: 1rem;
    }

    body.single-listings div#banner_bar .listing_sub_info_container {
        flex-direction: column;
        flex: 1;
    }

    body.single-listings div#banner_bar .banner_toggles,
    body.single-listings div#banner_bar .listing_actions {
        margin: unset;
        flex-wrap: unset;
        align-items: center;
        justify-content: unset;
    }

    body.single-listings div#banner_bar .listing_sub_info svg {
        display: none;
    }
} 